Subject: bug#20017: guile 2.0.11 make check failure for ppc architecture

From: Normand <[email-masked]>
Date: Fri, 06 Mar 2015 14:57:56 +0100

guile 2.0.11 make check failure for ppc architecture on opensuse 13.2

details of the log is available at:
https://build.opensuse.org/package/show/openSUSE:Factory:PowerPC/guile
https://build.opensuse.org/build/openSUSE:Factory:PowerPC/standard/ppc/guile/_log

There are two failing tests:
===
[ 1223s] FAIL: fractions.test: fractions: (eqv? (expt 2 1/2) (sqrt 2))
[ 1223s] FAIL: fractions.test: fractions: (eqv? (expt 2.0 1/2) (sqrt 2))
===

I have a guest on which I am able to recreate the problem,
but I do not know anything about guile to do investigation of the problem.

any suggestions ?

-- 
Michel Normand